<?php
class Login{
    private $login;
    private $msg;
    
    public function validaDados($email, $senha, $timestamp){   
        if(!self::validaEmail($email)){ 
            $retorno = array('geral' => false,
                             'class' => ' alert-warning ', //classe do bootstrap
                             'msgPri'=> "Wow!",
                             'msgSec'=> "E-mail inválido | <b>".$this->msg."</b>");
        }elseif(!self::validaSenha($senha)){
            $retorno = array('geral' => false,
                             'class' => ' alert-warning ', //classe do bootstrap
                             'msgPri'=> "Wow!",
                             'msgSec'=> "Senha não informada");
        }else{
            $this->login = new LoginDAO($email, $senha);
            if($this->login->logar($timestamp)){
                $retorno = array('geral' => true,
                                 'class' => ' alert-success ', //classe do bootstrap
                                 'msgPri'=> "Logado com sucesso.",
                                 'msgSec'=> "Aguarde a configuração do ambiente");
            }else{
                $retorno = array('geral' => false,
                                 'class' => ' alert-danger ', //classe do bootstrap
                                 'msgPri'=> "Falha na autenticação",
                                 'msgSec'=> "O Email e/ou senha informados não são válidos");
            }
        }

        return $retorno;
        
        
        return;
        
    }
    
    public function validaEmail($email){
	if (!@ereg('^([a-zA-Z0-9.-])*([@])*([a-zA-Z0-9.-]).([a-z]{2,3})',$email)){
            $retorno = false;
            $this->msg = "Email mal formatado";
        }else{
            $dominio = explode('@',$email);
            if(!checkdnsrr($dominio[1],'A')){
                $retorno = false;
                $this->msg = "Provavelmente o provedor informado é inválido";
            }else{$retorno = true;} 
	}
        return $retorno;
    }
    
    public function validaSenha($senha){
        if($senha != "") return true; return false;
    }
    
    public function redir(){
        echo "<script>\n";
        echo "window.location.href='../".RAIZ."'";
        echo "</script>\n";
        exit();
        return;
    }
    
}